/**
 * SPDX-FileCopyrightText: 2014 Albert Vaca <albertvaka@gmail.com>
 *
 * SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
 */

#ifndef KDECONNECT_DBUSHELPER_H
#define KDECONNECT_DBUSHELPER_H
#include <QString>
#include <QDBusConnection>

#include "kdeconnectcore_export.h"

#define KDECONNECT_PRIVATE_DBUS_ADDR "unix:tmpdir=/tmp"
#define KDECONNECT_PRIVATE_DBUS_NAME "DBusKDEConnectOnly"

#define KDECONNECT_SESSION_DBUS_LAUNCHD_ENV "DBUS_LAUNCHD_SESSION_BUS_SOCKET"

namespace DBusHelper {
    void KDECONNECTCORE_EXPORT filterNonExportableCharacters(QString& s);

#ifdef Q_OS_MAC
    void KDECONNECTCORE_EXPORT launchDBusDaemon();
    void KDECONNECTCORE_EXPORT closeDBusDaemon();
    void KDECONNECTCORE_EXPORT macosUnsetLaunchctlEnv();
#endif
}

#endif
